Update Device

Update a FHIR R6 Device resource by logical ID.

Endpoint

PUT /api/fhir/r6-ballot4/Device/{rid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4

Example request: PUT /api/fhir/r6-ballot4/Device/00000000-0000-4000-8000-000000000004

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Device/00000000-0000-4000-8000-000000000004

The examples use illustrative identifiers and values.

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the Device resource. Use the logical id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Device.u
Client grant/token request ddfssystem/Device.u
Issued token's scope claim system/Device.u

Example Request

{"resourceType":"Device","identifier":[{"system":"https://example.com/fhir/identifier/Device","value":"example-resource"}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Example update"}]},"manufacturer":"Example Medical Device Company","modelNumber":"ExampleModel","id":"00000000-0000-4000-8000-000000000004"}

Example Response

{
  "resourceType": "Device",
  "id": "00000000-0000-4000-8000-000000000004",
  "meta": {
    "versionId": "2",
    "lastUpdated": "2025-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "example-resource",
        "display": "Example resource"
      },
      {
        "system": "https://example.com/fhir/tag/phase",
        "code": "updated",
        "display": "Example update"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/Device",
      "value": "example-resource"
    }
  ],
  "manufacturer": "Example Medical Device Company",
  "modelNumber": "ExampleModel"
}

Behavior

Replaces an existing Device resource by logical id.

cURL Example

curl.exe `
  -sS `
  -X PUT `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Device/00000000-0000-4000-8000-000000000004 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]' `
  -H 'Content-Type: application/fhir+json' `
  --data '{"resourceType":"Device","identifier":[{"system":"https://example.com/fhir/identifier/Device","value":"example-resource"}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Example update"}]},"manufacturer":"Example Medical Device Company","modelNumber":"ExampleModel","id":"00000000-0000-4000-8000-000000000004"}'

Status Codes

CodeStatus
200 Updated Device representation.

FHIR Definition

Canonical: https://hl7.org/fhir/6.0.0-ballot4/device.html

Related Operations